
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaSE8基础 OutputStreamWriter flush 写入字符后要刷新缓冲区 / 憋错料</title>

    <meta name="description" content="JavaSE8基础 OutputStreamWriter flush 写入字符后要刷新缓冲区 os :windows7 x64    jdk:jdk-8u131-windows-x64    ide:Eclipse Oxygen Release (4.7.0) information: 工作空间的初始状态 code: package jizuiku0; import java.io.FileOutputStream; import java.io.IOException; import java.io.OutputStreamWriter; /* * @version V17.09 */">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">JavaSE8基础 OutputStreamWriter flush 写入字符后要刷新缓冲区</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<blockquote><p>os ：windows7 x64<br />&nbsp;&nbsp; &nbsp;jdk：jdk-8u131-windows-x64<br />&nbsp;&nbsp; &nbsp;ide：Eclipse Oxygen Release (4.7.0)</p></blockquote>
<p>information：</p>
<p>　　工作空间的初始状态</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNjE0NDIvMjAxNzA5LzExNjE0NDItMjAxNzA5MjQxMDU0NDczMDYtMTYyMDkyNTQ4Mi5wbmc=.jpg"></p>
<p>code：</p>
<pre>package jizuiku0;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;

/*
 * @version V17.09
 */
public class FlushDemo {

	// 我在这里使用 throws，目的是为了方便地阅读代码
	// 然而 在做项目中 还是需要使用try..catch对异常做出相应的处理
	public static void main(String[] args) throws IOException {

		// 文件路径 (相对路径)
		String path = "test.txt";
		FileOutputStream fos = new FileOutputStream(path);

		String charsetName = "UTF-8";
		OutputStreamWriter osw = new OutputStreamWriter(fos, charsetName);

		osw.write("博客园");// 执行完这句时, 字符串"博客园"是处于缓冲区中的

		osw.flush();// 刷新缓冲区 -&gt; 把缓冲区的内容写入到 文件中

		// 刷新之后 还可以继续写
		osw.write("给最苦");

		// 记得关闭流close()-&gt;先刷新，再释放资源
		// close之后,就不可以再次使用osw进行写操作了
		osw.close();
	}
}
</pre>
<p>result：<br />　　工作空间文件夹中会生成 test.txt文件，需要进行 refresh 才能在eclipse中看到文件。</p>
<p>　　由于eclipse默认的字符集编码是 GBK，而代码中写入文件时 用的字符集是UTF-8，所以需要先设置 读取文件所用的字符集。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNjE0NDIvMjAxNzA5LzExNjE0NDItMjAxNzA5MjQxMDU3MDU2ODEtOTMwODQzMjk3LnBuZw==.jpg"></p>
<p>　　文件中的内容</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExNjE0NDIvMjAxNzA5LzExNjE0NDItMjAxNzA5MjQxMDU3MTgxODEtNDU1NzA4MzM5LnBuZw==.jpg"></p>
<p>　　</p>
<hr>
<br />Java优秀，值得学习。<br />学习资源：itcast和itheima视频库。如果您有公开的资源，可以分享给我的话，用您的资源学习也可以。<br />博文是观看视频后，融入思考写成的。博文好，是老师讲得好。博文坏，是 给最苦 没认真。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 12:34:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/images/" title="images">images</a>, <a href="https://www.biecuoliao.com/tag/new/" title="new">new</a>, <a href="https://www.biecuoliao.com/tag/name/" title="name">name</a>, <a href="https://www.biecuoliao.com/tag/lease/" title="lease">lease</a>, <a href="https://www.biecuoliao.com/tag/exce/" title="exce">exce</a>, <a href="https://www.biecuoliao.com/tag/%e8%80%81%e5%b8%88/" title="老师">老师</a>, <a href="https://www.biecuoliao.com/tag/iter/" title="iter">iter</a>, <a href="https://www.biecuoliao.com/tag/public/" title="public">public</a>, <a href="https://www.biecuoliao.com/tag/%e9%87%8a%e6%94%be/" title="释放">释放</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>JavaSE8基础 OutputStreamWriter flush 写入字符后要刷新缓冲区的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmQqDYM.html" rel="bookmark">JavaSE8基础 StringBuffer 将一个char字符重复指定次数后输出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				os :windows7 x64    jdk:jdk-8u131-windows-x64    ide:Eclipse Oxygen Release (4.7.0) code: package jizuiku0; /* * @version V17.09 */ public class repeatCharDemo { public static void main(String[] args) { // 字符 0 重复输出3次 System.out.println(repeatChar('0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OkYJ93.html" rel="bookmark">JavaSE8基础 FileOutputStream write 写入txt文本时实现数据追加</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				os :windows7 x64    jdk:jdk-8u131-windows-x64    ide:Eclipse Oxygen Release (4.7.0) information: txt文件初始状态 code: package jizuiku0; import java.io.FileNotFoundException; import java.io.FileOutputStream; import java.io.IOException; /* * @version V17.09			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD6Olp3.html" rel="bookmark">黑马程序员&mdash;&mdash;Java基础--IO流&lpar;一&rpar;---字符流和字节流</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				------Java培训.Android培训.iOS培训..Net培训.期待与您交流! ------- 一.IO流的介绍及体系 IO流用来处理设备之间的数据传输.java对数据的操作是通过流的方式.java用于操作流的对象都在IO包中. 输入流和输出流相对于内存设备而言:将外设中的数据读取到内存中:输入.将内存中的数据写出到外设中:输出. 流按照操作数据分为两种:字节流和字符流. 字符流的由来:其实就是字节流读取文字字节数据后,不直接操作而是先查指定的编码表,获取对应的文字,再对这个文字进行操作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MykjvE3.html" rel="bookmark">python基础11 文件操作 &comma;字符编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要内容 文件操作 文件操作 打开文件的模式 打开文件的模式有: r,只读模式(默认). w,只写模式.[不可读:不存在则创建:存在则删除内容:] a,追加模式.[可读:不存在则创建:存在则只追加内容:] &quot;+&quot; 表示可以同时读写某个文件 r+,可读写文件.[可读:可写:可追加] w+,写读 a+,同a r+:可读可写,若文件不存在,报错:w+: 可读可写,若文件不存在,创建. &quot;U&quot;表示在读取时,可以将 \r \n \r\n自动转换成 \n (与 r 或 r+ 模			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38Kp8g0.html" rel="bookmark">JavaSE8基础 BufferedReader char&lbrack;&rsqb;方式读写实现复制粘贴txt文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				os :windows7 x64    jdk:jdk-8u131-windows-x64    ide:Eclipse Oxygen Release (4.7.0) information: 被复制的文本文件中的内容 code: package jizuiku0; import java.io.BufferedReader; import java.io.BufferedWriter; import java.io.FileInputStream; import java.io.FileOut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/w3vxOLM.html" rel="bookmark">删除最后结尾的指定字符后的字符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#region 删除最后结尾的指定字符后的字符 2 /// &lt;summary&gt; 3 /// 删除最后结尾的指定字符后的字符 4 /// &lt;/summary&gt; 5 public static string DelLastChar(string str, string strchar) 6 { 7 if (string.IsNullOrEmpty(str)) 8 return &quot;&quot;; 9 if (str.LastIndexOf(strchar) &gt;= 0 &a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZQr2g0.html" rel="bookmark">C语言基础学习2：字符数组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在C语言的基本数据类型中没有没有字符串变量,一般以字符数组的形式给出. 1.字符串数组的初始化 char c[] = {'I', ' ', 'a', 'm', 'h', 'a', 'p', 'p', 'y'}; char c[] = &quot;I am happy&quot;; 区别:第一种方式字符串长度为10,内存中占10*sizeof(char)个字节,第二种方式是以字符串形式表示,有一个字符串结束字符'\0',内存中占11*sizeof(char)个字节. 2.字符数组的输入输出 %c,一个一个字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4N26ly4.html" rel="bookmark">写入cookie后只显示一次的DIV提示框代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;script type=&quot;text/javascript&quot;&gt; function cookiesave(n, v, mins, dn, path){ if(n) { if(!mins) mins = 365 * 24 * 60; if(!path) path = &quot;/&quot;; var date = new Date(); date.setTime(date.getTime() + (mins * 60 * 1000)); var expires = &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RmNBqM.html" rel="bookmark">IO字符流之读写缓冲区（BufferedWriter、BufferedReader）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				缓冲区是为了提高效率所使用的,在使用缓冲区之前必须先明确流对象.就如同拿杯子接水一样,必须先知道这个杯子放在哪里接水 BufferedWriterDemo(输入字符流缓冲区演示): import java.io.*; /* 缓冲区的出现是为了提高流的操作效率而出现的. 所以在创建缓冲区之前,必须要先有流对象. 该缓冲区对象中提供了一个跨平台的换行符. newLine(); */ class BufferedWriterDemo { public static void main(String[]			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0d2qB4.html" rel="bookmark" class="title">oracle官网下载老版本jdk &plus; 如何命令行下wget下载jdk</a>
					<div>
						一.文章由来 1.前天有人再去你咨询如何下载jdk的老版本,在oracle官网上找了老半天,找不到相应的选项~ 2.等待问题解决了之后,又抛出来一个新的问题,如何wget直接下载,毕竟百十来兆的文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZvNgM.html" rel="bookmark" class="title">Android布局中添加条横线</a>
					<div>
						一个View添加点颜色就搞定了 &lt;View android:layout_width=&quot;fill_parent&quot; android:layout_marginTop=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02DGda4.html" rel="bookmark" class="title">读书笔记&lowbar;深入理解计算机系统&lowbar;第一章&lowbar;计算机系统漫游</a>
					<div>
						hello.c #incude &lt;stdio.h&gt; int main() { printf(&quot;Hello,world\n&quot;); } 1.1信息就是位+上下文 系统所有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVx1QM.html" rel="bookmark" class="title">小白学开发（iOS）OC&lowbar; SEL数据类型（2015-08-10）</a>
					<div>
						// //  main.m //  SEL数据类型 // //  Created by admin on 15/8/12. //  Copyright (c) 2015年 admin. All rig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1RxO4.html" rel="bookmark" class="title">人傻钱多死得快的程序员</a>
					<div>
						都说程序员是人傻钱多死得快,那么这真的是这样吗? 人傻 这个&quot;傻&quot;指的是,有些程序猿们,情商比较低,又或是为人比较老实憨厚,想想每天8-12小时都在电脑前坐着,看着一堆堆的字母敲代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPWaOM.html" rel="bookmark" class="title">转：ORACLE制造方法的比较</a>
					<div>
						转自:http://blog.itpub.net/133041/viewspace-438549/ 1.离散制造. 2.重复制造 3.流式制造 Oracle Applications 支持离散.项目. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYPbVM.html" rel="bookmark" class="title">数据库的值获取过来转换成Json数组的方法</a>
					<div>
						原文出处:http://www.cnblogs.com/jianglan/archive/2011/08/22/2149834.html .cs文件的主要代码: public class User_L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVzNvxM.html" rel="bookmark" class="title">hdu2025查找最大元素</a>
					<div>
						1 #include&lt;iostream&gt; 2 #include&lt;stdio.h&gt; 3 #include&lt;math.h&gt; 4 #include&lt;stdlib.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEl26y4.html" rel="bookmark" class="title">Nginx 配置中 fastcgi&lowbar;index 起什么作用？</a>
					<div>
						1,fastcgi_index 语法:fastcgi_index file 默认值:none 使用字段:http, server, location 如果URI以斜线结尾,文件名将追加到URI后面,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekPda4.html" rel="bookmark" class="title">shell 全局和局部变量</a>
					<div>
						/******************************************************************** * shell 全局和局部变量 * 声明: * 到目前为止, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBbb7qM.html" rel="bookmark" class="title">R8：Learning paths for Data Science&lbrack;continuous updating&hellip;&rsqb;</a>
					<div>
						Comprehensive learning path – Data Science in Python Journey from a Python noob to a Kaggler on Pyth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqZVw0.html" rel="bookmark" class="title">【分享】Matlab R2015a 发布啦！</a>
					<div>
						本博客所有文章分类的总目录:http://www.cnblogs.com/asxinyu/p/4288836.html Matlab和C#混合编程文章目录:http://www.cnblogs.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRpyg4.html" rel="bookmark" class="title">model操作涉及的所有字段（API）</a>
					<div>
						一旦 数据模型 创建完毕, 自然会有存取数据的需要.本文档介绍了由 models 衍生而来的数据库抽象API,及如何创建,得到及更新对象. 贯穿本参考, 我们都会引用下面的民意测验(Poll)应用程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezVLZ3.html" rel="bookmark" class="title">构建ASP&period;NET MVC4&plus;EF5&plus;EasyUI&plus;Unity2&period;x注入的后台管理系统（48）-工作流设计-起草新申请</a>
					<div>
						原文:构建ASP.NET MVC4+EF5+EasyUI+Unity2.x注入的后台管理系统(48)-工作流设计-起草新申请 系列目录 创建新表单之后,我们就可以起草申请了,申请按照严格的表单步骤和分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OyLAZM.html" rel="bookmark" class="title">odoo预付款处理流程</a>
					<div>
						客户预付款 1.在Accounting--Customers--Customer Payments下, 添加客户收款并Validate. 2.在订单确认后,到Accouting--Periodic P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPenja0.html" rel="bookmark" class="title">夺命雷公狗-----React---18--value和defaultValue的区别</a>
					<div>
						&lt;!DOCTYPE&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;title&gt;&lt;/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPXWPmM.html" rel="bookmark" class="title">hihocoder挑战赛13A</a>
					<div>
						#1191 : 小W与网格 描述 给定一个n*m的网格,左上角(1, 1),右下角(n, m). 小w在(i, j),他会从&quot;上左下右&quot;四个方向中选定两个不同但正交的方向,然后他只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myn25V0.html" rel="bookmark" class="title">jQuery源码解析</a>
					<div>
						( function( global, factory ) { &quot;use strict&quot;; if ( typeof module === &quot;object&quot; &a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQWol0.html" rel="bookmark" class="title">MVC &commat;RenderSection小计</a>
					<div>
						最近悟出来一个道理,在这儿分享给大家:学历代表你的过去,能力代表你的现在,学习代表你的将来. 十年河东十年河西,莫欺少年穷 学无止境,精益求精    最近在做自学MVC,遇到的问题很多,索性一点点总结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xXLJr0.html" rel="bookmark" class="title">mvc EF 数据保存时，报错：&rdquo;对一个或多个实体的验证失败&hellip;&hellip;&OpenCurlyDoubleQuote;之解决</a>
					<div>
						在EF5.0添加实体数据到数据库的时候,出现“对一个或多个实体的验证失败.有关详细信息,请参见“EntityValidationErrors”属性这个错误 解决: SaveChanges前先关闭验证实 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
